/*   **********************************************************************  **
 **   Copyright notice                                                       **
 **                                                                          **
 **   (c) 2009, Around(J2)ME				                                 **
 **   All rights reserved.                                                   **
 **                                                                          **
 **   This program and the accompanying materials are made available under   **
 **   the terms of the New BSD License which accompanies this    			 **
 **   distribution.											                 **
 **   A copy is found in the textfile LICENSE.txt							 **
 **                                                                          **
 **   This copyright notice MUST APPEAR in all copies of the file!           **
 **                                                                          **
 **   Main developers:                                                       **
 **     Juri Strumpflohner		http://blog.js-development.com	             **
 **		Matthias Braunhofer		http://matthias.jimdo.com                    **
 **                                                                          **
 **  **********************************************************************  */

package com.aroundj2me.model;
/**
 * Constants used throughout the whole application
 * The same constants are also used on the Server-side
 *
 */
public class Constants {
	
	public static final String LANDMARK_STORE_NAME = "AroundJ2ME";
	
	//Response constants
	public static final String DATA_PLACE = "data:places";
	public static final String ALERT = "alert";
	public static final String ALERT_ERROR = "Error";
	public static final String ALERT_INFO = "Info";
}
